// SimpleItem.h: interface for the CSimpleItem class.
//
//////////////////////////////////////////////////////////////////////
#include "SimpleWizPage1.h"

#if !defined(AFX_SIMPLEITEM_H__88138BB8_D4F5_4DB6_9B0A_BA8482F8BC25__INCLUDED_)
#define AFX_SIMPLEITEM_H__88138BB8_D4F5_4DB6_9B0A_BA8482F8BC25__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CSimpNodeItem : public CBaseNodeItem<CSimpNodeItem>  
{
public:

	CSimpNodeItem(BSTR bstr)
	{
		memset(&m_scopeDataItem, 0, sizeof(SCOPEDATAITEM));
		m_bstrDisplayName.Empty();
		m_bstrDisplayName.Attach(bstr);
		memset(&m_resultDataItem, 0, sizeof(RESULTDATAITEM));
		m_resultDataItem.mask = RDI_STR | RDI_IMAGE | RDI_PARAM;
		m_resultDataItem.str = MMC_CALLBACK;
		m_resultDataItem.nImage = 2;
		m_resultDataItem.lParam = (LPARAM) this;
	}

	LPOLESTR GetResultPaneColInfo(int nCol)
	{
	   switch (nCol)
	   {
	   case 0:
		  return m_bstrDisplayName;
	   }
	  return OLESTR("Override GetResultPaneColInfo");
	}
	
	HRESULT OnShowContextHelp(IDisplayHelp *pDisplayHelp);
};

#endif // !defined(AFX_SIMPLEITEM_H__88138BB8_D4F5_4DB6_9B0A_BA8482F8BC25__INCLUDED_)
